跳到主要内容

GET 附加费用单列表汇总

GET 查询,无参数。返回列表 KPI 汇总(各状态数量、待开票/待付款等)。

接口编码所需范围后端接口
sales.additional-fee.summarysales:readGET /v1/additional-fees/summary(comap-sales)

请求示例

curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "sales.additional-fee.summary"
}'

响应 data 字段

字段类型必填说明
totalCountinteger(int64)—全部费用单数量
draftCountinteger(int64)—草稿费用单数量
pendingCountinteger(int64)—待审批费用单数量
activeCountinteger(int64)—已生效费用单数量
voidCountinteger(int64)—已作废费用单数量
totalLineCountinteger(int64)—全部费用明细数量
draftLineCountinteger(int64)—草稿费用明细数量
pendingLineCountinteger(int64)—待审批费用明细数量
activeLineCountinteger(int64)—已生效费用明细数量
voidLineCountinteger(int64)—已作废费用明细数量
customerEffectiveAmountnumber—客户承担有效含税金额
companyExpectedCostnumber—公司承担有效预计成本
pendingInvoiceCountinteger(int64)—待开票费用单数量
pendingPaymentCountinteger(int64)—待付款费用单数量

错误处理​

响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:

错误码说明可重试
92101访问凭证无效否
92201接口未登记或已停用否
92202超出凭证授权范围——本接口需 sales:read否
92204绑定员工无此接口的功能权限否
92203上游服务调用失败是
92301请求过于频繁是

除此之外,comap-sales 自身的业务校验失败会原样透传其业务码与提示 (如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内, 以响应里的 message 为准。完整的平台层错误码见错误码说明。

← 返回additional-fee